Bug 43766 - Problems with empty table-cells
Problems with empty table-cells
Product: Fop - Now in Jira
Classification: Unclassified
Component: page-master/layout
Other other
: P2 normal
: ---
Assigned To: fop-dev
Depends on:
  Show dependency tree
Reported: 2007-11-01 03:58 UTC by Herv
Modified: 2012-04-01 06:44 UTC (History)
1 user (show)

The FO file (61.00 KB, application/octet-stream)
2007-11-01 04:01 UTC, Herv
Resulting PDF (13.49 KB, application/pdf)
2007-11-01 04:01 UTC, Herv

Note You need to log in before you can comment on or make changes to this bug.
Description Herv 2007-11-01 03:58:26 UTC
Tables spanning multiple pages sometimes show an extra row / extra border at the
end of the page. See attached example. 
The problem seems linked to the presence of empty cells.
Comment 1 Herv 2007-11-01 04:01:15 UTC
Created attachment 21074 [details]
The FO file
Comment 2 Herv 2007-11-01 04:01:50 UTC
Created attachment 21075 [details]
Resulting PDF
Comment 3 Vincent Hennebert 2007-11-01 05:41:28 UTC
Thanks for reporting the bug. Funny that the same problem has been reported
several times recently. Looks like the issue is more urgent than I thought.

Other references:

Summary: when a row contains an empty cell, all of the break elements generated
for this row have a 900 penalty, leading to all sorts of strange results.
Comment 4 Vincent Hennebert 2007-11-19 10:25:53 UTC
Should be fixed in revision 596390
Comment 5 Glenn Adams 2012-04-01 06:44:22 UTC
batch transition pre-FOP1.0 resolved+fixed bugs to closed+fixed